/*
 * Copyright 2021 The Gort Authors
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package cli

import (
	"github.com/spf13/cobra"
)

const (
	permissionUse   = "permission"
	permissionShort = "Perform operations on permissions"
	permissionLong  = "Allows you to perform permission administration."
)

// GetPermissionCmd permission
func GetPermissionCmd() *cobra.Command {
	cmd := &cobra.Command{
		Use:   permissionUse,
		Short: permissionShort,
		Long:  permissionLong,
	}

	cmd.AddCommand(GetPermissionListCmd())
	cmd.AddCommand(GetPermissionInfoCmd())

	return cmd
}
